// src/utils/generateSlug.ts

export function generateSlug(title: string, id: number) {
    const sanitizedTitle = title
      .toLowerCase()
      .replace(/&/g, 'and') // Replace & with "and"
      .replace(/[^a-z0-9\s-]/g, '') // Remove invalid characters but keep spaces and hyphens
      .replace(/\s+/g, '-') // Replace spaces with hyphens
      .replace(/-+/g, '-') // Collapse multiple hyphens into one
      .replace(/^-|-$/g, ''); // Remove leading or trailing hyphens
  
    return `${id}-${sanitizedTitle}`;
  }
  
  